package kz.arta.synergy.workflow.mobile.android.comments.models;

/**
 * Created by neox on 08.04.14.
 * Комментарии (неполная версия)
 */
public class AllCommentsItem {

    /**
     * Количество комментариев
     */
    private String count;

    /**
     * Список комментариев
     */
    private Comments[] list;

    public String getCount() {
        return count;
    }

    public Comments[] getList() {
        return list;
    }

    public class Comments {

        private String commentID;
        private String comment;
        private String created_label;
        private String is_editable;
        private String is_deletable;
        private String comment_icon_type;
        private Author author;

        public String getCommentID() {
            return commentID;
        }

        public String getComment() {
            return comment;
        }

        public String getCreated_label() {
            return created_label;
        }

        public String getIs_editable() {
            return is_editable;
        }

        public String getIs_deletable() {
            return is_deletable;
        }

        public String getComment_icon_type() {
            return comment_icon_type;
        }

        public Author getAuthor() {
            return author;
        }

        public class Author {
            public String name;
        }
    }
}
